## org.exist.xupdate.test
Class CompareDocuments

    java.lang.Object
      org.exist.xupdate.test.CompareDocuments

public class CompareDocuments
extends java.lang.Object

Constructor Summary
`CompareDocuments()` Constructor

Method Summary
`void` `compare(org.w3c.dom.Node node1, org.w3c.dom.Node node2)`
`void` `compare(org.w3c.dom.Node node1, org.w3c.dom.Node node2, java.lang.String space, boolean show)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CompareDocuments

    public CompareDocuments()

  Constructor

Method Detail

### compare

    public void compare(org.w3c.dom.Node node1,
                        org.w3c.dom.Node node2)
                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### compare

    public void compare(org.w3c.dom.Node node1,
                        org.w3c.dom.Node node2,
                        java.lang.String space,
                        boolean show)
                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Copyright (C) Wolfgang Meier. All rights reserved.